<ion-content>
  <ion-card>
    <ion-card-header>
      <ion-card-title >
        Update Room
      </ion-card-title>
    </ion-card-header>
    <ion-card-content>

      <form [formGroup]="formUpdateStanza">
        <div padding>
          <ion-item>
            <ion-input name="nameStanza" type="text" placeholder="Nome Stanza" formControlName="nameStanza"
              style="text-transform: capitalize;"></ion-input>
          </ion-item>

          <ion-item
            *ngIf="formUpdateStanza.controls['nameStanza'].invalid && formUpdateStanza.controls['nameStanza'].dirty ">
            <div style=" background-color: salmon;">
              The field is required
            </div>
          </ion-item>
        </div>

        <div style="text-align:center;" padding>
          <ion-button class="update" color="primary"   (click)="updateStanza()" size="large" type="submit"
            [disabled]="formUpdateStanza.invalid" >Update Room</ion-button>
        </div>

      </form>
      <!--{{aziende|json}}-->

    </ion-card-content>
  </ion-card>
  <!----------------------------------------------------------------------------------------------------------------------------------->
  <ion-card>
    <ion-card-header>

      <ion-card-title >Desk List</ion-card-title>
    </ion-card-header>
    <ion-list>

      <ion-item *ngFor='let i of desks'>
        <ion-label >{{i.idDesk}}</ion-label>
        <ion-label >{{i.name|titlecase}}</ion-label>
        <ion-button fill="outline" (click)='modify(i)'>Modify</ion-button>
        <ion-button color="danger" fill="outline" (click)='delete(i)'>Delete</ion-button>
      </ion-item>

    </ion-list>
  </ion-card>

  <div style="text-align:center;">
    <ion-button class="add" color="success" fill="outline" (click)="add()">Add Desk</ion-button>
  </div>


</ion-content>